# $Revision: 1.34 $, $Date: 2010/04/02 16:35:27 $
Summary:	GNOME System Tools backends
Summary(pl.UTF-8):	Backendy GNOME System Tools (narzędzi systemowych GNOME)
Name:		system-tools-backends
Version:	2.10.0
Release:	1
License:	LGPL
Group:		Applications/System
Source0:	http://ftp.gnome.org/pub/GNOME/sources/system-tools-backends/2.10/%{name}-%{version}.tar.bz2
# Source0-md5:	01fd8fcfbe5f68492186404c96af915a
Patch0:		%{name}-logindefs.patch
Patch1:		%{name}-incompatible-gpasswd.patch
URL:		http://www.gnome.org/projects/gst/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.1.2
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	perl-Net-DBus >= 0.33.5
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.92
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	dbus >= 1.1.2
Requires:	perl-Net-DBus >= 0.33.5
Requires:	polkit >= 0.92
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Backends for GNOME System Tools.

%description -l pl.UTF-8
Backendy dla GNOME System Tools (narzędzi systemowych GNOME).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-stb-group=adm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerun -- system-tools-backends < 2.8.0
%service system-tools-backends stop
/sbin/chkconfig --del system-tools-backends

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/system-tools-backends
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.SystemToolsBackends.conf
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/polkit-1/actions/org.freedesktop.SystemToolsBackends.policy
%dir %{_datadir}/%{name}-2.0
%dir %{_datadir}/%{name}-2.0/files
%{_datadir}/%{name}-2.0/files/general_gprs_chatscript
%{_datadir}/%{name}-2.0/files/general_isdn_ppp_options
%{_datadir}/%{name}-2.0/files/general_pppoe_ppp_options
%dir %{_datadir}/%{name}-2.0/scripts
%attr(755,root,root) %{_datadir}/%{name}-2.0/scripts/SystemToolsBackends.pl
%{_datadir}/%{name}-2.0/scripts/*.pm
%{_datadir}/%{name}-2.0/scripts/Init
%{_datadir}/%{name}-2.0/scripts/Network
%{_datadir}/%{name}-2.0/scripts/Shares
%{_datadir}/%{name}-2.0/scripts/Time
%{_datadir}/%{name}-2.0/scripts/Users
%{_datadir}/%{name}-2.0/scripts/Utils
%{_pkgconfigdir}/system-tools-backends-2.0.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: system-tools-backends.spec,v $
Revision 1.34  2010/04/02 16:35:27  sls
- ver. 2.10.0

Revision 1.33  2010/03/15 07:47:00  glen
- ppp options should not be executable, fix duplicate files; rel 2

Revision 1.32  2009/12/21 17:49:55  megabajt
- updated to 2.8.3

Revision 1.31  2009/12/01 00:17:11  sparky
- BR: gettext-devel, intltool

Revision 1.30  2009/09/26 22:13:12  patrys
- merged from DEVEL

Revision 1.29.2.1  2009/08/20 07:34:56  patrys
- 2.8.1 stable
- waiting for stable gnome-system-tools

Revision 1.29  2009/07/30 08:05:22  patrys
- 2.6.1

Revision 1.28  2008/03/11 15:41:15  patrys
- package gprs chat script

Revision 1.27.2.5  2008-03-11 15:36:14  patrys
- 2.6.0

Revision 1.27.2.4  2008-02-12 09:34:28  megabajt
- updated to 2.5.8

Revision 1.27.2.3  2008-02-11 12:05:31  megabajt
- updated to 2.5.7

Revision 1.27.2.2  2008-01-15 14:50:34  patrys
- 2.5.6

Revision 1.27.2.1  2007-12-20 01:42:06  patrys
- 2.5.4

Revision 1.27  2007-11-14 19:34:53  megabajt
- release 2

Revision 1.26  2007-11-01 16:29:39  megabajt
- added incompatible-gpasswd patch

Revision 1.25  2007/10/04 19:55:58  megabajt
- updated to 2.4.1

Revision 1.24  2007/09/14 19:17:25  megabajt
- updated to 2.4.0; merged changes from DEVEL

Revision 1.23.2.4  2007/09/10 21:12:45  megabajt
- added logindefs patch
- release 1.1 (package needs testing)

Revision 1.23.2.3  2007/09/10 19:35:34  megabajt
- updated to 2.3.2

Revision 1.23.2.2  2007/09/10 18:51:33  megabajt
- added init script
- revised deps
- release 1

Revision 1.23.2.1  2007/09/02 15:41:10  aflinta
- up to 2.3.1

Revision 1.23  2007/06/14 07:54:34  aflinta
- set adm group as default, release 2

Revision 1.22  2007/04/10 19:40:05  rotom
- 2.2.1

Revision 1.21  2007/03/31 18:43:41  qboosh
- cleanup

Revision 1.20  2007/03/17 16:38:31  wrobell
- DEVEL postmerge fixes

Revision 1.19  2007/03/17 16:29:04  wrobell
- merged from DEVEL

Revision 1.18  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.15.2.5  2007/03/17 16:27:08  wrobell
- ver. 2.2.0

Revision 1.15.2.4  2007/02/12 13:20:15  baggins
- converted to UTF-8

Revision 1.15.2.3  2006/10/06 19:15:05  grzegol
- 1.9.7

Revision 1.15.2.2  2006/10/05 12:52:29  grzegol
- updated to 1.9.6
- removed outdated ac patch

Revision 1.15.2.1  2006/09/11 20:04:16  grzegol
- updated to 1.9.5.1
- removed outdated m4 patch

Revision 1.15  2006/08/27 09:56:26  freetz
- added note

Revision 1.17  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.16  2006/09/01 22:42:31  grzegol
- 1.4.2 on HEAD, 1.9.x on DEVEL

Revision 1.10  2006/02/17 20:40:33  aflinta
- 1.4.2

Revision 1.9  2005/11/28 18:15:26  freetz
- 1.4.1

Revision 1.8  2005/09/06 18:41:51  freetz
- merged from DEVEL and updated to 1.4.0

Revision 1.7.2.5  2005/08/23 15:05:46  paladine
- added missing commit log

Revision 1.7.2.4  2005/08/23 14:35:15  paladine
- updated to 1.3.92
- sorted %files

Revision 1.7.2.3  2005/08/09 11:52:46  aflinta
- up to version 1.3.2

Revision 1.7.2.2  2005/07/29 08:30:12  wiget
- 1.3.1

Revision 1.7.2.1  2005/07/08 08:31:34  wiget
- updated to 1.3.0

Revision 1.7  2005/03/28 12:16:56  havner
- no Obsolete here, wtf was that?
- rel 2

Revision 1.6  2005/03/28 12:12:28  havner
- cosmetics

Revision 1.5  2005/03/27 12:22:44  speedy
- obsolete gnome-system-tools

Revision 1.4  2005/03/12 23:59:44  aflinta
- up to version 1.2.0

Revision 1.3  2005/03/01 21:47:48  paladine
- updated to 1.1.92

Revision 1.2  2005/02/10 20:32:03  qboosh
- pl, cosmetics

Revision 1.1  2005/02/08 18:23:27  grzegol
- new
